# Module pyglet.text.runlist

Run list encoding utilities.

Since: pyglet 1.1

## Classes

| RunList List of contiguous runs of values.
| AbstractRunIterator Range iteration over RunList.
| RunIterator
| OverriddenRunIterator Iterator over a RunIterator, with a value temporarily replacing a given range.
| FilteredRunIterator Iterate over an AbstractRunIterator with filtered values replaced by a default value.
| ZipRunIterator Iterate over multiple run iterators concurrently.
| ConstRunIterator Iterate over a constant value without creating a RunList.

## Variables

| __package__ = `None`